//: Playground - noun: a place where people can play

import Cocoa

enum Vehicle
{
    case Car
    case Truck
    
    enum Fuel
    {
        case Petrol
        case Diesel
    }
    
    enum Gear
    {
        case Automatic
        case Manual
    }
}

var car = Vehicle.Car
var fuel = Vehicle.Fuel.Diesel
var gear = Vehicle.Gear.Automatic

// Funktioniert nicht!
// car hat keine weiteren Eigenschaften
// denen Werte zugewiesen werden können
// car.Fuel = Vehicle.Fuel.Diesel

// Funktioniert nicht!
// Untergeordnete Enumerationen müssen
// immer mit dem kompletten Pfad 
// angesprochen werden
// if fuel == Fuel.Diesel
// {
//    print("Wir fahren mit Diesel")
// }

// Gültige Fallunterscheidung
if fuel == Vehicle.Fuel.Diesel
{
    print("Wir fahren mit Diesel")
}