//: Playground - noun: a place where people can play

import Cocoa

struct TiresOptions : OptionSetType
{
    let rawValue: Int
    
    init(rawValue:Int)
    {
        self.rawValue = rawValue
    }
    
    static let FrontLeft = TiresOptions(rawValue:0b00000001)
    static let FrontRight = TiresOptions(rawValue:0b00000010)
    static let RearLeft = TiresOptions(rawValue:0b00000100)
    static let RearRight = TiresOptions(rawValue:0b00001000)
    
    static let AllFront:TiresOptions = [.FrontLeft, .FrontRight]
    static let AllRear:TiresOptions = [.RearLeft, .RearRight]
}

class TireChangeOrder
{
    var Tires = TiresOptions()
}

func ChangeTires(order:TireChangeOrder)
{
    if order.Tires.contains(TiresOptions.FrontLeft)
    {
        print("Reifen vorne links wechseln")
    }
    
    if order.Tires.contains(TiresOptions.FrontLeft)
    {
        print("Reifen vorne rechts wechseln")
    }
    
    if order.Tires.contains(TiresOptions.RearLeft)
    {
        print("Reifen hinten links wechseln")
    }
    
    if order.Tires.contains(TiresOptions.RearRight)
    {
        print("Reifen hinten rechts wechseln")
    }
}

var order = TireChangeOrder()
order.Tires.insert(TiresOptions.FrontLeft)
order.Tires.insert(TiresOptions.FrontRight)
order.Tires.insert(TiresOptions.RearRight)

// order.Tires.insert(TiresOptions.AllFront)

ChangeTires(order)


